DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ConvolveFT

Fourier transform based convolution filter

## SYNOPSIS

`#include "dip_linear.h"`

dip_Error dip_ConvolveFT ( in, psf, out, inrep, psfrep, outrep )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

This function convolves the `input` image with the point spread function `psf`, by multiplying their Fourier transforms. The `inrep`, `psfrep` and `outrep` specify whether the images are spatial images (`DIP_IMAGE_REPRESENTATION_SPATIAL`) or their Fourier transform. (`DIP_IMAGE_REPRESENTATION_SPECTRAL`).

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `psf` | Psf image
`dip_Image` | `out` | Output image
`dipf_ImageRepresentation` | `inrep` | Input spatial or spectral
`dipf_ImageRepresentation` | `psfrep` | PSF spatial or spectral
`dipf_ImageRepresentation` | `outrep` | Output spatial or spectral

## SEE ALSO

General information about convolution

DIPlib on-line documentation | Function reference | Global function index